Get validator attestation duties metrics
curl --request GET \
--url https://api.rated.network/v1/eth/validators/{validator_index_or_pubkey}/attestations \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.rated.network/v1/eth/validators/{validator_index_or_pubkey}/attestations"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.rated.network/v1/eth/validators/{validator_index_or_pubkey}/attestations', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"next": "https://api.rated.network//eth/validators/{validator_index_or_pubkey}/attestations?limit=10&offset=30",
"pages": 10,
"previous": "https://api.rated.network//eth/validators/{validator_index_or_pubkey}/attestations?limit=10&offset=10",
"results": [
[
{
"attester_effectiveness": 95.97701149425288,
"avg_correctness": 0.9896296296296296,
"avg_inclusion_delay": 1.031111111111111,
"date": "2023-01-01",
"day": 796,
"endDate": "2023-01-07",
"endDay": 802,
"hour": 19056,
"startDate": "2023-01-01",
"startDay": 796,
"sum_correct_head": 219,
"sum_correct_source": 225,
"sum_correct_target": 224,
"sum_inclusion_delay": 232,
"sum_late_head_votes": 1,
"sum_late_source_votes": 0,
"sum_late_target_votes": 0,
"sum_missed_attestations": 0,
"sum_wrong_head_votes": 1,
"sum_wrong_target_votes": 1,
"sync_signature_count": 0,
"total_attestation_assignments": 225,
"total_attestations": 230,
"total_unique_attestations": 225,
"uptime": 1,
"validator_index": 1
}
]
]
}{
"detail": [
{
"msg": "<string>",
"type": "<string>",
"loc": [
"<string>"
]
}
]
}Performance
Get validator attestation duties metrics
This endpoint returns drilldowns on performance metrics around attestation duties for a single validator index.
GET
/
v1
/
eth
/
validators
/
{validator_index_or_pubkey}
/
attestations
Get validator attestation duties metrics
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Headers
Available options:
mainnet, hoodi, holesky Path Parameters
Required range:
x >= 0Query Parameters
The number of results returned per page
The number of results to skip before starting to return
End date
Example:
"2023-12-31"
Start date
Example:
"2023-01-01"
Start day
Required range:
x >= 0Example:
"791"
End day
Required range:
x >= 0Example:
"851"
Returns results based on UTC days (true) or ETH chain days (false)
The filter you want results to be sorted by
The sort order for the results
Available options:
asc, desc The size of time increments you are looking to query
Available options:
hour, day, week, month, quarter, year, all